package com.miaxis.wx.service;


import com.miaxis.common.config.FeignConfig;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *
 * 抖音
 */
@FeignClient(name="dyService",
        url = "https://open.douyin.com",configuration = FeignConfig.class)
@Component
public interface DyService {
    /**
     *  获取openid
     * @param code
     * @param grantType
     * @return
     */
    @PostMapping(value = "/oauth/access_token")
    String getDyToken(
            String clientKey,
            String clientSecret,
            String code,
            String grantType);



    /**
     * 获取用户信息
     */
    @PostMapping(value = "/oauth/userinfo")
    String getUserInfo(
            String accessToken,
            String openid
    );


}
